Loading...
Searching...
No Matches
Bitmap

This is the interface for the bitmap utilities provided by StarPU. More...

## Macros

#define | _STARPU_LONG_BIT
#define | _STARPU_BITMAP_SIZE

## Functions

static struct starpu_bitmap * | starpu_bitmap_create (void) STARPU_ATTRIBUTE_MALLOC
static void | starpu_bitmap_init (struct starpu_bitmap *b)
static void | starpu_bitmap_destroy (struct starpu_bitmap *b)
static void | starpu_bitmap_set (struct starpu_bitmap *b, int e)
static void | starpu_bitmap_unset (struct starpu_bitmap *b, int e)
static void | starpu_bitmap_unset_all (struct starpu_bitmap *b)
static int | starpu_bitmap_get (struct starpu_bitmap *b, int e)
static void | starpu_bitmap_unset_and (struct starpu_bitmap *a, struct starpu_bitmap *b, struct starpu_bitmap *c)
static void | starpu_bitmap_or (struct starpu_bitmap *a, struct starpu_bitmap *b)
static int | starpu_bitmap_and_get (struct starpu_bitmap *b1, struct starpu_bitmap *b2, int e)
static int | starpu_bitmap_cardinal (struct starpu_bitmap *b)
static int | starpu_bitmap_first (struct starpu_bitmap *b)
static int | starpu_bitmap_last (struct starpu_bitmap *b)
static int | starpu_bitmap_next (struct starpu_bitmap *b, int e)
static int | starpu_bitmap_has_next (struct starpu_bitmap *b, int e)

## Detailed Description

This is the interface for the bitmap utilities provided by StarPU.

## Function Documentation

## starpu_bitmap_create()

static struct starpu_bitmap * starpu_bitmap_create | ( | void |  | ) |

inline static

create a empty starpu_bitmap

## starpu_bitmap_init()

static void starpu_bitmap_init | ( | struct starpu_bitmap * | b | ) |

inline static

zero a starpu_bitmap

## starpu_bitmap_destroy()

static void starpu_bitmap_destroy | ( | struct starpu_bitmap * | b | ) |

inline static

free `b`

## starpu_bitmap_set()

static void starpu_bitmap_set | ( | struct starpu_bitmap * | b,
|  | int | e
| ) |  |

inline static

set bit `e` in `b`

## starpu_bitmap_unset()

static void starpu_bitmap_unset | ( | struct starpu_bitmap * | b,
|  | int | e
| ) |  |

inline static

unset bit `e` in `b`

## starpu_bitmap_unset_all()

static void starpu_bitmap_unset_all | ( | struct starpu_bitmap * | b | ) |

inline static

unset all bits in `b`

## starpu_bitmap_get()

static int starpu_bitmap_get | ( | struct starpu_bitmap * | b,
|  | int | e
| ) |  |

inline static

return true iff bit `e` is set in `b`

## starpu_bitmap_unset_and()

static void starpu_bitmap_unset_and | ( | struct starpu_bitmap * | a,
|  | struct starpu_bitmap * | b,
|  | struct starpu_bitmap * | c
| ) |  |

inline static

Basically compute `starpu_bitmap_unset_all`(`a`) ; `a` = `b` & `c`;

## starpu_bitmap_or()

static void starpu_bitmap_or | ( | struct starpu_bitmap * | a,
|  | struct starpu_bitmap * | b
| ) |  |

inline static

Basically compute `a` |= `b`

## starpu_bitmap_and_get()

static int starpu_bitmap_and_get | ( | struct starpu_bitmap * | b1,
|  | struct starpu_bitmap * | b2,
|  | int | e
| ) |  |

inline static

return 1 iff `e` is set in `b1` AND `e` is set in `b2`

## starpu_bitmap_cardinal()

static int starpu_bitmap_cardinal | ( | struct starpu_bitmap * | b | ) |

inline static

return the number of set bits in `b`

## starpu_bitmap_first()

static int starpu_bitmap_first | ( | struct starpu_bitmap * | b | ) |

inline static

return the index of the first set bit of `b`, -1 if none

## starpu_bitmap_last()

static int starpu_bitmap_last | ( | struct starpu_bitmap * | b | ) |

inline static

return the position of the last set bit of `b`, -1 if none

## starpu_bitmap_next()

static int starpu_bitmap_next | ( | struct starpu_bitmap * | b,
|  | int | e
| ) |  |

inline static

return the position of set bit right after `e` in `b`, -1 if none

## starpu_bitmap_has_next()

static int starpu_bitmap_has_next | ( | struct starpu_bitmap * | b,
|  | int | e
| ) |  |

inline static

todo